--- old/usr/src/uts/common/os/urw.c	2015-11-25 13:59:38.411735460 -0500
+++ new/usr/src/uts/common/os/urw.c	2015-11-25 13:59:38.415378667 -0500
@@ -202,11 +202,11 @@
 	 */
 	page = (caddr_t)(uintptr_t)((uintptr_t)addr & PAGEMASK);
 	retrycnt = 0;
-	AS_LOCK_ENTER(as, &as->a_lock, RW_WRITER);
+	AS_LOCK_ENTER(as, RW_WRITER);
 retry:
 	if ((seg = as_segat(as, page)) == NULL ||
 	    !page_valid(seg, page)) {
-		AS_LOCK_EXIT(as, &as->a_lock);
+		AS_LOCK_EXIT(as);
 		return (ENXIO);
 	}
 	SEGOP_GETPROT(seg, page, 0, &prot);
@@ -224,7 +224,7 @@
 		}
 
 		if (err != 0) {
-			AS_LOCK_EXIT(as, &as->a_lock);
+			AS_LOCK_EXIT(as);
 			return (ENXIO);
 		}
 	}
@@ -247,7 +247,7 @@
 	if (SEGOP_FAULT(as->a_hat, seg, page, PAGESIZE, F_SOFTLOCK, rw)) {
 		if (protchanged)
 			(void) SEGOP_SETPROT(seg, page, PAGESIZE, prot);
-		AS_LOCK_EXIT(as, &as->a_lock);
+		AS_LOCK_EXIT(as);
 		return (ENXIO);
 	}
 	CPU_STATS_ADD_K(vm, softlock, 1);
@@ -308,7 +308,7 @@
 	if (protchanged)
 		(void) SEGOP_SETPROT(seg, page, PAGESIZE, prot);
 
-	AS_LOCK_EXIT(as, &as->a_lock);
+	AS_LOCK_EXIT(as);
 
 	return (error);
 }
